diff --git a/GNUmakefile.in b/GNUmakefile.in
index afdfd9f0a6..0ef3147738 100644
--- a/GNUmakefile.in
+++ b/GNUmakefile.in
@@ -23,6 +23,11 @@ world:
 # build src/ before contrib/
 world-contrib-recurse: world-src-recurse
 
+$(call recurse,world-bin,src config contrib,all)
+
+# build src/ before contrib/
+world-bin-contrib-recurse: world-bin-src-recurse
+
 html man:
 	$(MAKE) -C doc $@
 
@@ -39,6 +44,11 @@ install-world:
 # build src/ before contrib/
 install-world-contrib-recurse: install-world-src-recurse
 
+$(call recurse,install-world-bin,src config contrib,install)
+
+# build src/ before contrib/
+install-world-bin-contrib-recurse: install-world-bin-src-recurse
+
 $(call recurse,installdirs uninstall init-po update-po,doc src config)
 
 $(call recurse,distprep coverage,doc src config contrib)
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index 61d0bc8c43..458353a329 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -473,6 +473,15 @@ All of PostgreSQL successfully made. Ready to install.
    The last line displayed should be:
 <screen>
 PostgreSQL, contrib, and documentation successfully made. Ready to install.
+</screen>
+  </para>
+
+  <para>
+   If you want to build everything that can be built, including the
+   additional modules (<filename>contrib</filename>), but without
+   the documentation, type instead:
+<screen>
+<userinput>make world-bin</userinput>
 </screen>
    </para>
 
@@ -552,6 +561,12 @@ build-postgresql:
     This also installs the documentation.
    </para>
 
+   <para>
+    If you built the world without the documantation above, type instead:
+<screen>
+<userinput>make install-world-bin</userinput>
+   </para>
+
    <para>
     You can use <literal>make install-strip</literal> instead of
     <literal>make install</literal> to strip the executable files and
